Bug 961542 - FTBFS: busybox fails to build on f19 for ppc64 with error: 'RLIMIT_FSIZE' undeclared
FTBFS: busybox fails to build on f19 for ppc64 with error: 'RLIMIT_FSIZE' und...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
19
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 17:22 EDT by Gustavo Luiz Duarte
Modified: 2013-05-24 16:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: busybox-1.19.4-9.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:44:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gustavo Luiz Duarte 2013-05-09 17:22:28 EDT
Description of problem:
busybox fails to build on Fedora 19 for ppc64 with the following error message:

loginutils/passwd.c:188:12: error: 'RLIMIT_FSIZE' undeclared (first use in this function)
  setrlimit(RLIMIT_FSIZE, &rlimit_fsize);

Version-Release number of selected component (if applicable):
busybox-1.19.4-7.fc19


How reproducible:
Always

Steps to Reproduce:
1. ppc-koji build --scratch f19 busybox-1.19.4-7.fc19.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1093992

Expected results:


Additional info:
Comment 1 Gustavo Luiz Duarte 2013-05-09 17:26:29 EDT
The patch in the following link fixes this issue: 
http://lists.busybox.net/pipermail/busybox/2012-May/077766.html

Please add this patch to f19 and fire an official build on koji.
Comment 2 Fedora Update System 2013-05-14 19:34:58 EDT
busybox-1.19.4-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/busybox-1.19.4-8.fc19
Comment 3 Fedora Update System 2013-05-15 06:05:40 EDT
busybox-1.19.4-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/busybox-1.19.4-9.fc19
Comment 4 Fedora Update System 2013-05-15 12:43:51 EDT
Package busybox-1.19.4-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing busybox-1.19.4-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8241/busybox-1.19.4-9.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-05-24 16:44:08 EDT
busybox-1.19.4-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.